Discover Government News


   SUSE Security Update: Security update for netty
______________________________________________________________________________

Announcement ID:    SUSE-SU-2022:3793-1
Rating:             important
References:         #1168932 #1182103 #1190610 #1190613 
Cross-References:   CVE-2020-11612 CVE-2021-21290 CVE-2021-37136
                    CVE-2021-37137
CVSS scores:
                    CVE-2020-11612 (NVD) : 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
                    CVE-2020-11612 (SUSE): 5.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L
                    CVE-2021-21290 (NVD) : 5.5 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N
                    CVE-2021-21290 (SUSE): 2.9 CVSS:3.1/AV:L/AC:H/PR:N/UI:N/S:U/C:L/I:N/A:N
                    CVE-2021-37136 (NVD) : 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
                    CVE-2021-37136 (SUSE): 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
                    CVE-2021-37137 (NVD) : 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
                    CVE-2021-37137 (SUSE): 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Affected Products:
                    SUSE Linux Enterprise Module for SUSE Manager Server 4.1
                    SUSE Manager Server 4.1
______________________________________________________________________________

   An update that fixes four vulnerabilities is now available.

Description:

   This update for netty fixes the following issues:

   - CVE-2020-11612: The ZlibDecoders allow for unbounded memory allocation
     while decoding a byte stream (bsc#1168932)
   - CVE-2021-21290: Information disclosure via the local system temporary
     directory (bsc#1182103)
   - CVE-2021-37136: Bzip2Decoder doesn't allow setting size restrictions for
     decompressed data (bsc#1190610)
   - CVE-2021-37137: Snappy frame decoder doesn't restrict the chunk length
     and may buffer skippable chunks (bsc#1190613)


Patch Instructions:

   To install this SUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - SUSE Linux Enterprise Module for SUSE Manager Server 4.1:

      zypper in -t patch SUSE-SLE-Module-SUSE-Manager-Server-4.1-2022-3793=1



Package List:

   - SUSE Linux Enterprise Module for SUSE Manager Server 4.1 (noarch):

      netty-4.1.44.Final-150200.3.4.2


References:

   https://www.suse.com/security/cve/CVE-2020-11612.html
   https://www.suse.com/security/cve/CVE-2021-21290.html
   https://www.suse.com/security/cve/CVE-2021-37136.html
   https://www.suse.com/security/cve/CVE-2021-37137.html
   https://bugzilla.suse.com/1168932
   https://bugzilla.suse.com/1182103
   https://bugzilla.suse.com/1190610
   https://bugzilla.suse.com/1190613

SUSE: 2022:3793-1 important: netty

October 27, 2022
An update that fixes four vulnerabilities is now available

Summary

This update for netty fixes the following issues: - CVE-2020-11612: The ZlibDecoders allow for unbounded memory allocation while decoding a byte stream (bsc#1168932) - CVE-2021-21290: Information disclosure via the local system temporary directory (bsc#1182103) - CVE-2021-37136: Bzip2Decoder doesn't allow setting size restrictions for decompressed data (bsc#1190610) - CVE-2021-37137: Snappy frame decoder doesn't restrict the chunk length and may buffer skippable chunks (bsc#1190613) Patch Instructions: To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - SUSE Linux Enterprise Module for SUSE Manager Server 4.1: zypper in -t patch SUSE-SLE-Module-SUSE-Manager-Server-4.1-2022-3793=1 Package List: - SUSE Linux Enterprise Module for SUSE Manager Server 4.1 (noarch): netty-4.1.44.Final-150200.3.4.2

References

#1168932 #1182103 #1190610 #1190613

Cross- CVE-2020-11612 CVE-2021-21290 CVE-2021-37136

CVE-2021-37137

CVSS scores:

CVE-2020-11612 (NVD) : 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

CVE-2020-11612 (SUSE): 5.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L

CVE-2021-21290 (NVD) : 5.5 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N

CVE-2021-21290 (SUSE): 2.9 CVSS:3.1/AV:L/AC:H/PR:N/UI:N/S:U/C:L/I:N/A:N

CVE-2021-37136 (NVD) : 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

CVE-2021-37136 (SUSE): 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

CVE-2021-37137 (NVD) : 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

CVE-2021-37137 (SUSE): 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Affected Products:

SUSE Linux Enterprise Module for SUSE Manager Server 4.1

SUSE Manager Server 4.1

https://www.suse.com/security/cve/CVE-2020-11612.html

https://www.suse.com/security/cve/CVE-2021-21290.html

https://www.suse.com/security/cve/CVE-2021-37136.html

https://www.suse.com/security/cve/CVE-2021-37137.html

https://bugzilla.suse.com/1168932

https://bugzilla.suse.com/1182103

https://bugzilla.suse.com/1190610

https://bugzilla.suse.com/1190613

Severity
Announcement ID: SUSE-SU-2022:3793-1
Rating: important

Related News